次の記事は、自動翻訳技術を使用して自動的に翻訳されました。 コンピュータプログラムによって翻訳されているため、誤りがある場合があります。Adobeは、世界中の多くのユーザーがより多くの記事を利用できるように、翻訳版を提供しています。
翻訳の品質を評価してください。Translation by SYSTRAN


FAQ

  1. PhoneGap buildサービスとは何ですか?また、PhoneGapとはどのように違うのですか?
  2. PhoneGap buildがサポートするPhoneGapのバージョンを教えてください。
  3. PhoneGap buildを始めるにはどうすればよいですか?
  4. PhoneGap buildを使用する前に何かをインストールする必要はありますか?
  5. デベロッパーアカウントとSDKについて教えてください。 PhoneGap buildを開始する前に、これらを設定する必要がありますか?
  6. PhoneGap buildからアプリを取り戻す際に、アプリを使用するにはどうすればよいですか? App Storeを送信する準備はできていますか?
  7. どのプラットフォームを構築できますか?
  8. PhoneGap buildを既存のツールと統合できますか?
  9. 公開アプリケーションと非公開アプリケーションの違いは何ですか?
  10. Adobe IDを使用してログインしようとすると、「その電子メールアドレスは既にPhoneGap buildアカウントにリンクされています。」と表示されます。
  11. 「このアプリは最新バージョンのPhoneGapを使用していません。 アップグレードをお勧めします。」
  12. PhoneGap buildのヘルプはどこで入手できますか?
  13. 私のビルドが急に失敗し始めました何が起きたの?

PhoneGap buildサービスとは何ですか?また、PhoneGapとはどのように違うのですか?

PhoneGapは、オープンソースの Apache Cordovaプロジェクトに基づくモバイルアプリケーション開発フレームワーク 。 HTML、CSS、JavaScriptを使用して1回だけアプリを作成し、ネイティブアプリの機能を失うことなく、様々なモバイルデバイスにデプロイできます。 PhoneGap buildは、PhoneGapフレームワークの上に構築されたクラウドベースのサービスです。 同じモバイルアプリをクラウドで簡単に構築できます。

PhoneGap buildがサポートするPhoneGapのバージョンを教えてください。

このページを参照してください。

PhoneGap buildを始めるにはどうすればよいですか?

Webアセット(HTML、CSS、JavaScriptのZIPファイル、または単一のindex.htmlファイル)をPhoneGap buildにアップロードし、GitまたはSVNリポジトリを指定します。 その後、コンパイルとパッケージ化を行います。 数分で、すべてのモバイルプラットフォームのダウンロードURLが届きます。

PhoneGap buildを使用する前に何かをインストールする必要はありますか?

違う!

デベロッパーアカウントとSDKについて教えてください。 PhoneGap buildを開始する前に、これらを設定する必要がありますか?

違う! ただし、ビルドをテストする特定のデバイスを所有していない場合は、SDKエミュレーターの一部をインストールする必要がある場合があります。

PhoneGap buildからアプリを取り戻す際に、アプリを使用するにはどうすればよいですか? App Storeを送信する準備はできていますか?

ターゲットとするプラットフォームによって異なります。 Android、iOS、Windows Phone 8の場合、配布を許可するには、正しい証明書や署名キーを指定する必要があります。 このプロセスについて詳しくは、他のドキュメントを参照してください。

どのプラットフォームを構築できますか?

iOS、Android、Windows

PhoneGap buildを既存のツールと統合できますか?

はい! HTTPS経由でアプリケーションを構築し 、既存のアプリケーションに関するデータにアクセスできる APIが用意されています。

公開アプリケーションと非公開アプリケーションの違いは何ですか?

パブリックアプリケーションのソースコードは、公開アクセス可能なGitHubリポジトリにホストされます。 プライベートアプリには、プライベート(非公開アクセス)のGitHubリポジトリでホストされるソースコードが含まれているか、開発者がソースコードとアセットを含むZIPファイルをPhoneGap buildサービスにアップロードする際に作成されます。

Adobe IDを使用してログインしようとすると、「その電子メールアドレスは既にPhoneGap buildアカウントにリンクされています。」と表示されます。

このメッセージは、Adobe ID認証が行われる前に作成された、その電子メールアドレスを持つアカウントが既に存在することを意味します。 その古いアカウントでログインし、Adobe IDをそのアカウントにリンクする必要があります。 サインイ ンページで、「Adobe IDでサインインしない場合は、ここをクリック」と表示される場所をクリックします。 電子メール/パスワードを使用するか、Githubアカウントを使用してログインします(ただし、古いアカウントを作成した場合があります)。 ログインすると、「PhoneGap buildの使用を続行するには、このアカウントにAdobe IDをリンクしてください」というメッセージが表示されます。 およびアカウント設定ページに限定されます。 Adobe IDを接続すれば、完了です。

「このアプリは最新バージョンのPhoneGapを使用していません。 アップグレードをお勧めします。」

このメッセージが表示される場合は、新しいバージョンのPhonegapを使用して構築できることを意味します。 これは、次のように phonegap-version環境設定を使用してconfig.xmlファイルで設定できます

<preference name="phonegap-version" value="cli-6.4.0" />

この設定を省略した場合、Phonegap buildはデフォルトのバージョンを使用します(約6か月ごとに増分されます)。 Phonegap buildで現在サポートされているPhonegapのバージョンとデフォルトの一覧は、こちらで確認で きます。 一般に、新しいバージョンが利用可能になるたびにアップグレードする必要はありませんが、新しいセキュリティの修正や最新のデバイスのサポートを利用するには、いつでもアップグレードする必要があります。 Phonegapのバージョンをアップグレードする際は、特にプラグインとデバイスAPIを使用している場合は、動作が可能で、バージョン間で変化するので、必ずアプリを完全にテストしてください。

PhoneGap buildのヘルプはどこで入手できますか?

コミュニティフォーラムで質問: http://community.phonegap.com/build、またはTwitterで質問: http://twitter.com/PhoneGapBuild

私のビルドが急に失敗し始めました何が起きたの?

10回のうち9回は、使用しているプラグインの1つがNPM(または調達先)で更新され、バージョンがロックされていなかったためです。 バージョンが未設定の場合、PGBは最新バージョンのプラグインを使用し、新しい変更が発生する可能性があります。 詳しくは、ドキュメントを参照してください。 もう1つの可能性は、デフォルトのphonegap-versionが増分され、phonegap-versionの環境設定が設定されていないことです。 デフォルトのphonegap-versionがほぼ1年に1回増えるだけなので、この方がまれです。

GitHubでこのページを編集
Copyright SYSTRAN 2016
この翻訳は役に立ちましたか?

Translation by SYSTRAN